<?php

add_theme_support( 'post-thumbnails' );

include_once( $dir . 'inc/meta_box.php' );


function mt_menusettings_admin_menu_setup(){  
add_submenu_page(
 'edit.php?post_type=menu',
 __('Menu Item Slug Option', 'mtmenu'),
 __('Menu Item Slug Option', 'mtmenu'),
 'manage_options',
 'mt_menusettings',
 'mt_menusettings_admin_page_screen'
 );
}
add_action('admin_menu', 'mt_menusettings_admin_menu_setup'); //menu setup

/* display page content */
function mt_menusettings_admin_page_screen() {
 global $submenu;
// access page settings 
 $page_data = array();
 foreach($submenu['options-general.php'] as $i => $menu_item) {
 if($submenu['options-general.php'][$i][2] == 'mt_menusettings')
 $page_data = $submenu['options-general.php'][$i];
 }

// output 
?>
<div class="wrap">
<style>
#mt_menusettings_options .form-table th {
display: none;
}
#mt_menusettings_options label {
    cursor: pointer;
    display: block;
    float: left;
    width: 25%;
}
</style>


<?php screen_icon();?>
<h2><?php _e('Menu Item Settings', 'mtmenu');?></h2>
<form id="mt_menusettings_options" action="options.php" method="post">
<?php
settings_fields('mt_menusettings_options');
do_settings_sections('mt_menusettings'); 
submit_button('Save options', 'primary', 'mt_menusettings_options_submit');
?>
 </form>
</div>
<?php
}


function mt_menusettings_settings_init(){

register_setting(
 'mt_menusettings_options',
 'mt_menusettings_options',
 'mt_menusettings_options_validate'
 );

add_settings_section(
 'mt_menusettings_mtmenuslugbox',
 '', 
 'mt_menusettings_mtmenuslugbox_desc',
 'mt_menusettings'
 );

add_settings_field(
 'mt_menusettings_mtmenuslugbox_template',
 '', 
 'mt_menusettings_mtmenuslugbox_field',
 'mt_menusettings',
 'mt_menusettings_mtmenuslugbox'
 );
    
add_settings_field(
 'mt_menusettings_mtmenuslugbox_template2',
 '', 
 'mt_menusettings_mtmenuslugbox_field2',
 'mt_menusettings',
 'mt_menusettings_mtmenuslugbox2'
 );
    
}

add_action('admin_init', 'mt_menusettings_settings_init');

/* validate input */
function mt_menusettings_options_validate($input){
 global $allowedposttags, $allowedrichhtml;
if(isset($input['mtmenuslugbox_template']))
 $input['mtmenuslugbox_template'] = wp_kses_post($input['mtmenuslugbox_template']);
 $input['mtmenuslugbox_template2'] = wp_kses_post($input['mtmenuslugbox_template2']);
return $input;
}

/* description text */
function mt_menusettings_mtmenuslugbox_desc(){
_e('The default slug name is menu. You can enter in any name for menu slug in the field below.', 'mtmenu');
}

/* filed output */
function mt_menusettings_mtmenuslugbox_field() { 
 $options = get_option('mt_menusettings_options');
 $mtmenuslugbox = (isset($options['mtmenuslugbox_template'])) ? $options['mtmenuslugbox_template'] : '';
 $mtmenuslugbox = strip_tags($mtmenuslugbox); //sanitise output
 $mtmenuslugbox2 = (isset($options['mtmenuslugbox_template2'])) ? $options['mtmenuslugbox_template2'] : '';
 $mtmenuslugbox2 = strip_tags($mtmenuslugbox2); //sanitise output
?>
<p>
    <label><?php _e('Menu Item Single Slug Name', 'mtmenu');?></label>
 <input type="text" id="mtmenuslugbox_template" name="mt_menusettings_options[mtmenuslugbox_template]" value="<?php echo $mtmenuslugbox; ?>" /></p>

<?php
}



// Hook into the 'init' action
add_action('init', 'create_mt_menu_post');


/**
 * Menu Post Type.
 */
function create_mt_menu_post() {   

	$options = get_option('mt_menusettings_options');
 	$mtmenuslugbox = (isset($options['mtmenuslugbox_template'])) ? $options['mtmenuslugbox_template'] : '';
 	$mtmenuslugbox = strip_tags($mtmenuslugbox); //sanitise output	

	$labels = array(
		'name'                => _x( 'Menu Items', 'Post Type General Name', 'mtmenu' ),
		'singular_name'       => _x( 'Menu Item', 'Post Type Singular Name', 'mtmenu' ),
		'menu_name'           => __( 'Menu Items', 'mtmenu' ),
		'parent_item_colon'   => __( 'Parent Item:', 'mtmenu' ),
		'all_items'           => __( 'All Menu Items', 'mtmenu' ),
		'view_item'           => __( 'View Menu Items', 'mtmenu' ),
		'add_new_item'        => __( 'Add New Menu Item', 'mtmenu' ),
		'add_new'             => __( 'Add New', 'mtmenu' ),
		'edit_item'           => __( 'Edit Menu Item', 'mtmenu' ),
		'update_item'         => __( 'Update Menu Item', 'mtmenu' ),
		'search_items'        => __( 'Search Menu Items', 'mtmenu' ),
		'not_found'           => __( 'Not found', 'mtmenu' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'mtmenu' ),
	);
	$args = array(
		'label'               => __( 'menu', 'mtmenu' ),
		'description'         => __( 'Add menu items to your website.', 'mtmenu' ), 
		'labels'              => $labels,
		'supports' 			  => array('title','editor','thumbnail'),
		'taxonomies'          => array( 'thumbnail', 'category' ),
		'hierarchical'        => false,
		'menu_icon' 		  => 'dashicons-carrot', 
		'rewrite' => array('slug' => $mtmenuslugbox),  
		'public'              => true, 
		'show_ui'             => true,
		'show_in_menu'        => true, 
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 55,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'menu', $args ); 

}


$menufields = array( 
	array(
    		'label' => __( 'Health Info', 'mtmenu' ),
    		'id' => 'mt-health-info', 
    		'type' => 'textarea',
			'std' => ""
			),	
	array(
    		'label' => __( 'Price', 'mtmenu' ),
    		'id' => 'mt-price', 
    		'type' => 'text',
			'std' => ""
			),	
	 
);


/**
 * Instantiate the class with all variables to create a meta box 
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to 
 * var $js bool including javascript or not
 */

$mt_menu_box = new mt_menu_Add_Meta_Box( 'mt_menu_box', __('Menu Info', 'mtmenu'), $menufields, 'menu', true );  